Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1269602 - Secrets patch does not work in Fedora
Summary: Secrets patch does not work in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-07 16:57 UTC by Colin Walters
Modified: 2017-11-13 13:56 UTC (History)
9 users (show)

Fixed In Version: docker-1.10.3-24.gitf476348.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 02:26:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Colin Walters 2015-10-07 16:57:26 UTC
While the projectatomic/docker fedora-1.9 git branch *does* contain the secrets patch, it doesn't work because docker.spec does not ship the empty /usr/share/rhel/secrets directory.

This would block things like using RHEL containers on Fedora.

Comment 1 Daniel Walsh 2015-10-08 10:29:38 UTC
lokesh could you add this path to the spec file.  We want to allow people to use fedora for developing rhel containers.

Comment 2 Daniel Walsh 2015-10-28 17:39:58 UTC
rpm -qf /usr/share/rhel/secrets/
file /usr/share/rhel/secrets is not owned by any package
rpm -q docker
docker-1.9.0-5.git11b81f9.fc24.x86_64

Lokesh we need this in Fedora.

Comment 3 Daniel Walsh 2015-12-01 22:41:14 UTC
Lokesh?

Comment 4 Daniel Walsh 2016-01-06 18:49:29 UTC
rpm -qf /usr/share/rhel/secrets/
file /usr/share/rhel/secrets is not owned by any package

rpm -q docker
docker-1.10.0-12.gitc3726aa.fc24.x86_64

Lokesh this is still not fixed.

Comment 5 Daniel Walsh 2016-02-22 21:24:06 UTC
Antonio can you add this directory to the fedora docker-1.10 package.

Comment 6 Daniel Walsh 2016-02-22 21:24:06 UTC
Antonio can you add this directory to the fedora docker-1.10 package.

Comment 7 Antonio Murdaca 2016-02-22 21:26:05 UTC
on it

Comment 8 Antonio Murdaca 2016-02-22 22:07:24 UTC
$ rpm -qf /usr/share/rhel/secrets/
docker-1.10.2-4.git86e59a5.fc23.x86_64

$ rpm -q docker
docker-1.10.2-4.git86e59a5.fc23.x86_64

hopefully docker can be built using golang1.6 soon and this fix will be published in rawhide (soon) - I'll fix this in f23 asap

Comment 9 Antonio Murdaca 2016-02-22 22:19:07 UTC
rawhide has been built - http://koji.fedoraproject.org/koji/taskinfo?taskID=13098935
f23 built successfully but I'm holding the update because I'm building 1.10.2-rc1 - as soon as the stable release goes out I'll publish the update

Comment 10 Antonio Murdaca 2016-02-23 12:39:30 UTC
Fixed in docker-1.10.2

Comment 11 Fedora Update System 2016-04-28 14:00:49 UTC
docker-1.10.3-15.git964eda6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59d274e19

Comment 12 Fedora Update System 2016-05-02 09:22:22 UTC
docker-1.10.3-16.gita41254f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5

Comment 13 Fedora Update System 2016-05-03 09:27:14 UTC
docker-1.10.3-16.gita41254f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5

Comment 14 Fedora Update System 2016-05-05 09:41:09 UTC
docker-1.10.3-17.gitbba2d6d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e793ee33

Comment 15 Fedora Update System 2016-05-05 14:04:55 UTC
docker-1.10.3-18.git667d6d1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39

Comment 16 Fedora Update System 2016-05-06 20:56:25 UTC
docker-1.10.3-18.git667d6d1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39

Comment 17 Fedora Update System 2016-05-20 10:35:09 UTC
docker-1.10.3-19.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9

Comment 18 Fedora Update System 2016-05-21 02:25:55 UTC
docker-1.10.3-19.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9

Comment 19 Fedora Update System 2016-05-24 16:44:54 UTC
docker-1.10.3-20.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308

Comment 20 Fedora Update System 2016-05-26 05:01:55 UTC
docker-1.10.3-20.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308

Comment 21 Fedora Update System 2016-05-26 18:27:39 UTC
docker-1.10.3-21.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f

Comment 22 Fedora Update System 2016-05-28 03:25:27 UTC
docker-1.10.3-21.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f

Comment 23 Fedora Update System 2016-05-30 17:35:49 UTC
docker-1.10.3-22.git4158ccc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7

Comment 24 Fedora Update System 2016-05-31 09:52:23 UTC
docker-1.10.3-22.git4158ccc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7

Comment 25 Fedora Update System 2016-06-01 09:01:22 UTC
docker-1.10.3-23.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d73f74a557

Comment 26 Fedora Update System 2016-06-01 14:52:41 UTC
docker-1.10.3-24.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088

Comment 27 Fedora Update System 2016-06-02 16:22:48 UTC
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088

Comment 28 Fedora Update System 2016-06-10 02:25:45 UTC
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.